Wp_Hunter – Static Analysis Of WordPress Plugins




Static analysis to search for vulnerabilities in WordPress plugins.


__ ____________ ___ ___ __
/ \ / \______ \/ | \ __ __ _____/ |_ ___________
\ \/\/ /| ___/ ~ \ | \/ \ __\/ __ \_ __ \
\ / | | \ Y / | / | \ | \ ___/| | \/
\__/\ / |____|____\___|_ /|____/|___| /__| \___ >__|
\/ /_____/ \/ \/ \/

|__ Author: @JosueEncinar


[*] Starting the process
[*] Total plugins 87509
[*] Starting the analisys


How to add a module
The tool has been uploaded without regex, for the search you need to add your regular expressions. The key to reduce false positives is here, go for it.
To know how to do this, check out modules/php/test.py and modules/js/test.py. It is not complicated.

How to use
To use the tool, follow the instructions below:
git clone https://github.com/Josue87/wp_hunter.git
cd wp_hunter
pip3 install -r requirements.txt
python3 wp_hunter.py

The tests have been carried out with the Linux operating system

Download Wp_Hunter

+————————————————-

This is only an educational purposes only I am not responsible for further activities

Join my forum and learn more ethical hacking and penetration testing

Get me at alex14324.blogspot.com

https://t.me/alex14324

https://github.com/alex14324

https://www.instagram.com/alex_14324

https://discord.gg/6NPtGxZ

——————————————————-+

Leave a Reply

Your email address will not be published. Required fields are marked *